package com.nisum.javaSparkExample.kafka;

import com.nisum.javaSparkExample.model.Customers;
import org.apache.spark.sql.Dataset;
import org.apache.spark.sql.Encoders;
import org.apache.spark.sql.Row;
import org.apache.spark.sql.SparkSession;

public class KafkaToCsvProcess {
    public static void main(String[] args) {


        SparkSession sparkSession=SparkSession.builder()
                .master("local[*]")
                .appName("kafkaToCsvProcess")
                //.config("spark.ui.enabled",true)
                .config("spark.sql.shuffle.partitions",2)
                .getOrCreate();


        Dataset<Customers> kafkaDataFrame = sparkSession

                .readStream()
                .format("kafka")
                .option("kafka.bootstrap.servers", "localhost:9092")
                .option("subscribe", "customer-topic")
                .load().as(Encoders.bean(Customers.class));

               kafkaDataFrame .write()

                .option("header", "true")
                .format("csv")
                .option("path", "/path/to/error/csv/files");
    }

}
